MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025572Open CASCADE[OCCT] OCCT:Codingpublic2014-12-09 13:382017-09-29 16:29
Reporterazn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0025572: Remove MMgt_TShared class.
DescriptionAccording to the CAST report, following problems are connected with MMgt_TShared class:

- Avoid classes with non virtual destructor whenever one of its base class has a virtual destructor (0025571);
- Avoid classes with a copy constructor and the default destructor or assignment operator
- Avoid Classes with a High Depth of Inheritance Tree
- et al.
Steps To ReproduceClass MMgt_TShared is obsoleted. At this moment MMgt_TShared class does not assume any useful functionality. This class should be replaced to Standard_Transient.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
has duplicate 0028832closedbugmaster Community MMgt_TShared can be replaced by Standard_Transient 
related to 0025725newabv Open CASCADE Avoid invocation of virtual methods in constructors and destructors 

-  Notes
(0068766)
abv (manager)
2017-07-27 11:08

The class MMgt_TShared has been eliminated within 0028832; please switch this issue to Verified

- Issue History
Date Modified Username Field Change
2014-12-09 13:38 azn New Issue
2014-12-09 13:38 azn Assigned To => azn
2014-12-09 13:39 azn Assigned To azn => abv
2015-01-20 11:55 azn Relationship added related to 0025725
2015-03-27 21:33 abv Target Version 6.9.0 => 7.0.0
2015-12-14 22:39 abv Target Version 7.0.0 => 7.1.0
2016-11-03 17:13 abv Target Version 7.1.0 => 7.2.0
2017-06-09 08:34 kgv Relationship added has duplicate 0028832
2017-07-27 11:08 abv Note Added: 0068766
2017-07-27 11:08 abv Status new => feedback
2017-07-31 14:55 abv Assigned To abv => bugmaster
2017-08-01 16:49 bugmaster Status feedback => tested
2017-08-01 16:49 bugmaster Status tested => verified
2017-08-01 16:49 bugmaster Resolution open => fixed
2017-08-18 13:10 bugmaster Test case number => Not required
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker